#include <iostream>

using namespace std;

int Digits[10] = { 6, 2, 5, 5, 4, 5, 6, 3, 7, 6 };

int main()
{
    int N;
    cin >> N;
    int D = N / 2;

    if ((D * 2) != N)
    {
        cout << 7;
        D--;
    }

    for (int i = 0; i < D; i++)
    {
        cout << 1;
    }
}
